Send zone command
curl --request POST \
--url http://aris.local/api/zones/{zoneId}/command \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"tempHeatSetC": 21,
"tempCoolSetC": 24
}
'import requests
url = "http://aris.local/api/zones/{zoneId}/command"
payload = {
"tempHeatSetC": 21,
"tempCoolSetC": 24
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({tempHeatSetC: 21, tempCoolSetC: 24})
};
fetch('http://aris.local/api/zones/{zoneId}/command', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"zoneId": "primary_bedroom",
"command": {
"mode": "<string>",
"temp_heat_set_c": 123,
"temp_cool_set_c": 123
}
}{
"error": "<string>",
"message": "<string>",
"hint": "<string>"
}{
"error": "Unauthorized",
"message": "Valid authentication required"
}{
"error": "<string>",
"message": "<string>",
"hint": "<string>"
}Zones
Send zone command
Set the mode and/or setpoints for a zone.
Mode behavior:
offis zone-specific and only affects this zoneheat,cool,automay propagate to other zones depending on system topology
Setpoint constraints:
- Valid range: 10-30°C (50-86°F)
- Minimum gap of 2.2°C (4°F) between heat and cool setpoints is enforced automatically
POST
/
api
/
zones
/
{zoneId}
/
command
Send zone command
Authorizations
Session token or API token
Path Parameters
Body
application/json
⌘I

